#! perl
# $Id: /mirror/trunk/languages/scheme/t/syn/basic.t 22606 2007-10-29T20:11:58.650999Z bernhard  $

# Copyright (C) 2007, The Perl Foundation.

use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin/../../lib";

use Parrot::Test tests => 6;

# begin

language_output_is( 'Scheme', <<'CODE', q{}, 'string, no sideeffects' );
"Hello World!"
CODE

language_output_is( 'Scheme', <<'CODE', q{}, 'string, no sideeffects' );
+12345678
CODE

language_output_is( 'Scheme', <<'CODE', q{}, 'string, no sideeffects' );
12345678
CODE

language_output_is( 'Scheme', <<'CODE', q{}, 'string, no sideeffects' );
-12345678
CODE

language_output_is( 'Scheme', <<'CODE', q{}, 'string, no sideeffects' );
#t
CODE

language_output_is( 'Scheme', <<'CODE', q{}, 'string, no sideeffects' );
#f
CODE

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 100
# End:
# vim: expandtab shiftwidth=4:
